using FalcoEngine;
using System;
using System.Collections;
using System.Collections.Generic;

public class Cactus : MonoBehaviour
{
	public float speed;
    public float maxSpeed = 25f;

    public float acceleration = 0.035f;

    public float offSet;


	void Update()
	{
        speed = Mathf.Clamp(speed + acceleration * Time.deltaTime, 0f, maxSpeed);
        transform.position += Vector3.right * speed * Time.deltaTime;
    }

	void OnTriggerEnter(Rigidbody obj)
	{
		if(obj.gameObject.name == "DeadZone")
		{
			transform.position = new Vector3(transform.position.x + offSet, transform.position.y, transform.position.z);
		}
	}
}
