using FalcoEngine;

public class Dino : MonoBehaviour
{
    public float impulse;
    public bool isBuild;
    public Vector3 startPos;
    public bool canJump;
    public float timer = 100;
    private float time;
    public Text scoreText;
    public float score;

    void Start()
    {
        startPos = transform.position;
    }

    void Update()
    {
        if (Input.GetKeyDown(ScanCode.Space) || Input.GetMouseButtonDown(0))
        {
            if (canJump)
            {
                rigidbody.linearVelocity = Vector2.up * impulse;
                canJump = false;
            }
        }
    }

    void FixedUpdate()
    {
        if (!canJump)
        {
            time++;
            if (time == timer)
            {
                canJump = true;
                time = 0;
            }
        }

        score += 0.2f;
        float scoreRounded = Mathf.Round(score);
        scoreText.text = "" + scoreRounded;
    }

    public void Dead()
    {
        if (!isBuild)
        {
            transform.position = startPos;
            score = 0;
            Debug.Log("Dead!!!");
        }
        if (isBuild)
        {
            SceneManager.LoadScene("Scene1.scene");
            score = 0;
        }
    }
}
